/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEEDITDIALOGPAGE_H
#define RECIPEEDITDIALOGPAGE_H

#include <QtGui/QWidget>

class Recipe;

class RecipeEditDialogPage : public QWidget
{
    Q_OBJECT

public:
    RecipeEditDialogPage(QWidget* parent = 0);
    virtual ~RecipeEditDialogPage();

    virtual void readFromRecipe(const Recipe& recipe) = 0;
    virtual void writeToRecipe(Recipe& recipe) const = 0;

Q_SIGNALS:
    void changed();
};

#endif // RECIPEEDITDIALOGPAGE_H
