/****************************************************************************
 *  Copyright (C) 2009-2010 by Martin Engelmann, murphi.oss@googlemail.com  *
 *                                                                          *
 *  This program is free software; you can redistribute it and/or           *
 *  modify it under the terms of the GNU General Public License as          *
 *  published by the Free Software Foundation; either version 2 of          *
 *  the License or (at your option) any later version.                      *
 *                                                                          *
 *  This program is distributed in the hope that it will be useful,         *
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of          *
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the           *
 *  GNU General Public License for more details.                            *
 *                                                                          *
 *  You should have received a copy of the GNU General Public License       *
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>    *
 ****************************************************************************/

#ifndef RECIPEEDITDIALOGPAGE_GENERAL_H
#define RECIPEEDITDIALOGPAGE_GENERAL_H

#include "recipeeditdialogpage.h"

namespace Ui
{
class RecipeEditDialogPage_general;
}

class RecipeEditDialogPageGeneral : public RecipeEditDialogPage
{
    Q_OBJECT
public:
    RecipeEditDialogPageGeneral(QWidget* parent = 0);
    virtual ~RecipeEditDialogPageGeneral();

    void readFromRecipe(const Recipe& recipe);
    void writeToRecipe(Recipe& recipe) const;

Q_SIGNALS:
    void titleChanged(const QString& title);

private:
    Ui::RecipeEditDialogPage_general* ui;
};

#endif // RECIPEEDITDIALOGPAGE_GENERAL_H
